Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.builder.client
Class DomTextAreaBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<TextAreaBuilder,TextAreaElement>
              com.google.gwt.dom.builder.client.DomTextAreaBuilder

All Implemented Interfaces:
  ElementBuilderBase<TextAreaBuilder>, TextAreaBuilder

    public class DomTextAreaBuilder

extends DomElementBuilderBase<TextAreaBuilder,TextAreaElement>
implements TextAreaBuilder

DOM-based implementation of `TextAreaBuilder`.

Field Summary

Fields inherited from interface com.google.gwt.dom.builder.shared.TextAreaBuilder
`UNSUPPORTED_HTML`

Constructor Summary
`DomTextAreaBuilder(DomBuilderImpl delegate)`

Method Summary
`TextAreaBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`TextAreaBuilder` | `cols(int cols)` Width of control (in characters).
`TextAreaBuilder` | `defaultValue(java.lang.String defaultValue)` Represents the contents of the element.
`TextAreaBuilder` | `disabled()` Disable this control.
`TextAreaBuilder` | `html(SafeHtml html)` Append html within the node.
`boolean` | `isChildElementSupported()` Check if child elements are supported.
`TextAreaBuilder` | `name(java.lang.String name)` Form control or object name when submitted with a form.
`TextAreaBuilder` | `readOnly()` Make control is read-only.
`TextAreaBuilder` | `rows(int rows)` Number of text rows.
`TextAreaBuilder` | `value(java.lang.String value)` Represents the current contents of the corresponding form control, in an interactive user agent.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase
`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase
`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase
`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomTextAreaBuilder

    DomTextAreaBuilder(DomBuilderImpl delegate)

Method Detail

### accessKey

    public TextAreaBuilder accessKey(java.lang.String accessKey)

  Description copied from interface: `TextAreaBuilder`
  A single character access key to give access to the form control.

  Specified by:
    `accessKey` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### cols

    public TextAreaBuilder cols(int cols)

  Description copied from interface: `TextAreaBuilder`
  Width of control (in characters).

  Specified by:
    `cols` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### defaultValue

    public TextAreaBuilder defaultValue(java.lang.String defaultValue)

  Description copied from interface: `TextAreaBuilder`
  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

  Specified by:
    `defaultValue` in interface `TextAreaBuilder`

### disabled

    public TextAreaBuilder disabled()

  Description copied from interface: `TextAreaBuilder`
  Disable this control.

  Specified by:
    `disabled` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### html

    public TextAreaBuilder html(SafeHtml html)

  Description copied from interface: `ElementBuilderBase`
  Append html within the node.

  Once you append HTML to the element, you can no longer set attributes.

  Specified by:
    `html` in interface `ElementBuilderBase<TextAreaBuilder>`
  Overrides:
    `html` in class `AbstractElementBuilderBase<TextAreaBuilder>`
  Parameters:
    `html` - the HTML to append
  Returns:
    this builder

### isChildElementSupported

    public boolean isChildElementSupported()

  Description copied from interface: `ElementBuilderBase`
  Check if child elements are supported.

  Specified by:
    `isChildElementSupported` in interface `ElementBuilderBase<TextAreaBuilder>`
  Overrides:
    `isChildElementSupported` in class `AbstractElementBuilderBase<TextAreaBuilder>`
  Returns:
    true if supported, false if not.

### name

    public TextAreaBuilder name(java.lang.String name)

  Description copied from interface: `TextAreaBuilder`
  Form control or object name when submitted with a form.

  Specified by:
    `name` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### readOnly

    public TextAreaBuilder readOnly()

  Description copied from interface: `TextAreaBuilder`
  Make control is read-only.

  Specified by:
    `readOnly` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### rows

    public TextAreaBuilder rows(int rows)

  Description copied from interface: `TextAreaBuilder`
  Number of text rows.

  Specified by:
    `rows` in interface `TextAreaBuilder`
  See Also:
    W3C HTML Specification

### value

    public TextAreaBuilder value(java.lang.String value)

  Description copied from interface: `TextAreaBuilder`
  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.

  Specified by:
    `value` in interface `TextAreaBuilder`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD